{ config, lib, pkgs, sydpkgs, ... }:

let cfg = config.sydnix.sydpkgs;
in {
  options.sydnix.sydpkgs = {
    overlay.enable = lib.mkEnableOption "the Sydpkgs overlay";
  };

  config = lib.mkIf cfg.overlay.enable {
    nixpkgs.overlays = [ sydpkgs.overlays.default ];
  };
}
